name: Feature request
description: Suggest something new
labels: ["enhancement"]
body:
  - type: markdown
    attributes:
      value: Thanks for suggesting a feature.

  - type: textarea
    id: problem
    attributes:
      label: What problem does this solve?
      description: Describe the context and the gap you're running into.
    validations:
      required: true

  - type: textarea
    id: solution
    attributes:
      label: Proposed solution
      description: What would you like to see?
    validations:
      required: true

  - type: textarea
    id: alternatives
    attributes:
      label: Alternatives considered
      description: Any other approaches you've thought about?

  - type: textarea
    id: context
    attributes:
      label: Additional context
      description: Links, examples, prior art — anything useful.
